FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 07-15-2011, 08:39 PM
 
Default A bit perturbing

I'm doing an update on a machine that does have VMs running on it, and I
see a number of complaints to the effect of
WARNING:
/lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko needs
unknown symbol kvm_vcpu_init
WARNING:
/lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko needs
unknown symbol kvm_mmu_invlpg

And there are a lot of them (more than I can scroll back to. Has anyone
else seen this?

mark

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-15-2011, 08:53 PM
Alexander Dalloz
 
Default A bit perturbing

Am 15.07.2011 22:39, schrieb m.roth@5-cent.us:
> I'm doing an update on a machine that does have VMs running on it, and I
> see a number of complaints to the effect of
> WARNING:
> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko needs
> unknown symbol kvm_vcpu_init
> WARNING:
> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko needs
> unknown symbol kvm_mmu_invlpg
>
> And there are a lot of them (more than I can scroll back to. Has anyone
> else seen this?
>
> mark

Report it to the repository managers where you got it from.

kvm-intel.ko resides in extra under the kernel tree:

kmod-kvm-83-224.el5.centos.1.x86_64 : kvm kernel module(s)
Repo : updates
Matched from:
Filename : /lib/modules/2.6.18-238.9.1.el5/extra/kmod-kvm/kvm-intel.ko

Alexander


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-15-2011, 08:59 PM
Ljubomir Ljubojevic
 
Default A bit perturbing

m.roth@5-cent.us wrote:
> I'm doing an update on a machine that does have VMs running on it, and I
> see a number of complaints to the effect of
> WARNING:
> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko needs
> unknown symbol kvm_vcpu_init
> WARNING:
> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko needs
> unknown symbol kvm_mmu_invlpg
>
> And there are a lot of them (more than I can scroll back to. Has anyone
> else seen this?
>
> mark

weak-update means it is inherited kernel module, possibly from newer
kernel then what you are running (You are on 5.5 kernel?).

Relevant info: https://bugzilla.redhat.com/show_bug.cgi?id=509361

Ljubomir
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-15-2011, 09:26 PM
 
Default A bit perturbing

Ljubomir Ljubojevic wrote:
> m.roth@5-cent.us wrote:
>> I'm doing an update on a machine that does have VMs running on it, and I
>> see a number of complaints to the effect of
>> WARNING:
>> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko
>> needs unknown symbol kvm_vcpu_init
>> WARNING:
>> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko
>> needs unknown symbol kvm_mmu_invlpg
>>
>> And there are a lot of them (more than I can scroll back to. Has anyone
>> else seen this?
>
> weak-update means it is inherited kernel module, possibly from newer
> kernel then what you are running (You are on 5.5 kernel?).

Nope - 5.6, and just updated from 2.6.18-238.9.1, I think, to 12.1
>
> Relevant info: https://bugzilla.redhat.com/show_bug.cgi?id=509361

I'll have to look at that Monday. Thanks!

mark

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-15-2011, 09:41 PM
Ljubomir Ljubojevic
 
Default A bit perturbing

m.roth@5-cent.us wrote:
> Ljubomir Ljubojevic wrote:
>> m.roth@5-cent.us wrote:
>>> I'm doing an update on a machine that does have VMs running on it, and I
>>> see a number of complaints to the effect of
>>> WARNING:
>>> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko
>>> needs unknown symbol kvm_vcpu_init
>>> WARNING:
>>> /lib/modules/2.6.18-194.32.1.el5/weak-updates/kmod-kvm/kvm-intel.ko
>>> needs unknown symbol kvm_mmu_invlpg
>>>
>>> And there are a lot of them (more than I can scroll back to. Has anyone
>>> else seen this?
>> weak-update means it is inherited kernel module, possibly from newer
>> kernel then what you are running (You are on 5.5 kernel?).
>
> Nope - 5.6, and just updated from 2.6.18-238.9.1, I think, to 12.1
>> Relevant info: https://bugzilla.redhat.com/show_bug.cgi?id=509361
>
> I'll have to look at that Monday. Thanks!
>

Oh, then you are most likely OK.
Then that should be just warning that that old kernel (you have as a
backup) does not like that kernel module. It shows for example when I
recompile VirtualBox modules.

Weak-update means that module is installed in the folder for one kernel
but is linked for all other on the system. More or less like that.

Ljubomir
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 07:44 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org